{ pkgs, config, lib, ... }:

let
  cfg = config.ptw.services.gdm;
in {
  options.ptw.services.gdm = {
    enable = lib.mkEnableOption "Enable GDM as a display manager";
    monitors = lib.mkOption {
      description = "The file to use as a monitors.xml";
    };
  };

  config = lib.mkIf cfg.enable {
    services.xserver.displayManager.gdm = {
      wayland = true;
      enable = true;

      # TODO: Use monitors.xml
      # job
    };
  };
}
